---
title: "Auditor Release Notes: Version 2.0.1"
layout: inside
permalink: /Patches/2.0.1.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.1, released on 27th March 2014. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.
---
### Bookmarklet Update: Now supports HTTPS
{: #bookmarklet}

Support for HTML_CodeSniffer over sites that use Secure HTTP (HTTPS) has been an issue for some time. With recent changes that Github made to their
secure certificate (to now cover sites on the Github Pages domain) combined with changes to the bookmarklet now mean that it should now
work over HTTPS.

The bookmarklet link on the [HTML_CodeSniffer home page](../..) has been updated. Existing bookmarklets can be updated by removing the "http:" from the path
near the start (so that the path reads "//squizlabs.github.io/HTML_CodeSniffer/build/"). This ensures that the same scheme (protocol) is used as the site you are testing.

This will allow many more sites to be able to use HTML_CodeSniffer, but it is not completely foolproof, depending on site and browser security settings.

### Auditor Interface
{: #auditor}

#### Bug Fixes
{: #auditor-bugs}

* The auditor now correctly works on Internet Explorer 8, where previously it would not properly fill the Standards drop-down.

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Updates and bug fixes
{: #standards-wcag2-bugs}

* *Success Criterion 1.3.1:*

  The test for *Multiple **label** tags with the same "for" attribute* has been removed. The standard does not state
  that this is a violation, and the things it appeared to have been written for are covered in other tests which more
  directly check such violations (namely duplicate IDs).

* *Colour contrast tests (Success Criteria 1.4.3 and 1.4.6):*

If a colour contrast ratio fails, but by less of a margin than the default precision shown by HTML_CodeSniffer (which is 2 decimal places), the extra decimals are now shown to prove that this is not a false positive.

> An example in the issues list had a contrast ratio of 4.497:1, which would show as "4.5:1" and thus appearing to "pass" a 4.5:1 contrast test, but now shows with all three decimals.

Also, a JavaScript error in the standard was fixed, which was triggered when a colour contrast test failed.

### Section 508 Standards Updates
{: #standards-508}

_References to Section 508's rules should be read in line with the U.S. Government's regulations defining the [Section 508 standards for "Web-based intranet and internet information and applications"][SEC508]._

#### Updates and bug fixes
{: #standards-508-bugs}

* *Rules A and L:*  

  Unwound dependencies against the WCAG 2.0 standard, so that developers wishing to only distribute the Section 508 standard can do so without also needing to distribute the WCAG 2.0 standard.

* *Rule J:*  

  Fixed a JavaScript error that triggered when a page had no **title** element.

[WCAG20]: http://www.w3.org/TR/WCAG20
[SEC508]: https://www.access-board.gov/guidelines-and-standards/communications-and-it/about-the-section-508-standards/section-508-standards#22
